Subject: Re: bug#53778: 29.0.50; Can't start Emacs because of RenderBadPicture X protocol error

From: Po Lu <[email-masked]>
Date: Fri, 11 Feb 2022 09:07:15 +0800

Mauro Aranda <[email-masked]> writes:

> No SystemD stuff in Slackware.

Too bad, you could locate and debug the core dump manually.

> Anyway, I did a system update and I no longer see the RenderBadPicture
> error.  I do see BadMatch errors but those has been fixed between the
> reported commit and master.

The only difference is that Emacs doesn't use XRender as eagerly as it
used to; so please set the frame parameter `alpha-background' to 0.9,
and see whether or not the crash can be reproduced.

> I won't be able to help investigate the bug any further, so feel free to
> close this bug report.

This is an actual problem and I can't see where it was solved, so please
don't close this report.

Thanks.